> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Webhooks

Returns all the Webhooks associated with your team,
or an empty array if none have been created.

## Path Parameters

## Returns

Returns a list of Webhook objects.

```bash cURL theme={null}
curl https://production.methodfi.com/webhooks \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const webhooks = await method.webhooks.list();
```

```python Python theme={null}
webhooks = method.webhooks.list()
```

```json theme={null}
{
  "data": [
    {
      "id": "whk_cSGjA6d9N8y8R",
      "type": "payment.update",
      "url": "https://reference.example.app/webhook",
      "metadata": null,
      "expand_event": false,
      "status": "active",
      "error": null,
      "created_at": "2022-03-31T17:56:55.757Z",
      "updated_at": "2022-03-31T17:56:55.757Z"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.